.TH load 1 "April 1993" "Scilab Group" "Scilab Function"
.so ../sci.an
.SH NAME
load - load saved variable
.SH CALLING SEQUENCE
.nf
load('file-name' [,x1,...,xn])
.fi
.SH PARAMETERS
.TP 10
file-name 
: character string
.TP 10
xi
: arbitrary Scilab variable name(s) given as strings.
.SH DESCRIPTION
The \fVload\fR command can be used to reload in the Scilab session
variables previously saved in a file with the \fVsave\fR command.
.LP
\fVload('file-name')\fR loads the variables saved in file \fV'file-name'\fR. 
.LP
\fVload('file-name','x','y',...,'z')\fR loads only variables \fVx,y,...,z\fR
stored in file \fV'file-name'\fR. 
.SH EXAMPLES
.nf
a=eye(2,2);b=ones(a);
save('vals.dat',a,b);
clear a
clear b
load('vals.dat','a','b');
.fi
.SH SEE ALSO
save, getf

